//The research was supported by the project  GACR GA15-03564S

function fn=fnorm(f,i)
  // fn=fnorm(f,i)   normalization of probabilistic table             
  // fn  normalized table
  // f   table
  // i   direction i=1 norm columns, i=2 norm rows

  if argn(2)==1, 
    sf=sum(f);
    fn=f/sf; 
  else
    [m n]=size(f);
    if i==1
      f1=sum(f,1);
      fn=f./(ones(m,1)*f1);
    else
      f2=sum(f,2);
      fn=f./(f2*ones(1,n));
    end
  end
endfunction
