//The research was supported by the project  GACR GA15-03564S

function mu=initDis(yi,b)                                             
  // mu=initDis(yi,b)    initialization of dynamic mixture 
  //                     estimation with discrete components
  // mu      component statistics
  // yi      initial data set
  // b       number of values of variables 

  nc=max(yi(3,:));
  for i=1:nc
    j=find(yi(3,:)==i);
    y1=yi(1,j);
    y2=yi(2,j);
    tb=tab(y1,y2,b)+.1;
    s=0;
    for k=1:b(1)
      for l=1:b(2)
        s=s+1;
        mu(i).ent(1,s)=tb(k,l);
      end
    end
  end
endfunction
