//The research was supported by the project  GACR GA15-03564S

function [Est,ka]=initUni(yi)
  // [Est,ka]=initUni(yi)   init. of uniform estimation with 
  //                        static 2-dim. components
  // Est     vector of structures documenting estimation of components
  // ka      vector of data counters
  // yi      init. data (with known pointer)
  //

  nc=max(yi(3,:));
  ni=size(yi,2);

  Est(1).th=[1 2
             1 3];
  Est(2).th=[4.5 5.5
             6 8];
  Est(3).th=[8 9
             3 4];
             
  for i=1:nc
    Est(i).thI=Est(i).th;
    ka(i)=3+rand(1,1,'u');
  end
endfunction
