//The research was supported by the project  GACR GA15-03564S

function mp=predUni(nc,y,Est)
  // mp=predUni(nc,y,Est)  data predic. from reg. components 
  // mp      data proximities to components
  // nc      number of comoponents
  // Est     estimation structure

  mc=zeros(nc,1);
  // weights
  th=list(); E=list(); D=list();
  for j=1:nc
    th(j)=Est(j).th;
    E(j)=(th(j)(:,2)+th(j)(:,1))/2;          // expectation
    if 0
      e=th(j)(:,2)-th(j)(:,1);
      D(j)=e*e'/12;
    else
      D(j)=.1*eye(2,2);                          // better performance
    end
    [xxx,Lm(j)]=GaussN(y,E(j),D(j));
  end

  Lp=Lm-max(Lm);
  mp=exp(Lp);
  if sum(abs(mp))<1e-8                                
    mp=ones(mp);   
  end                                                
  mp=mp/sum(mp);
endfunction
