//The research was supported by the project  GACR GA15-03564S

function [x,R]=connect(w,Est)                                       
  // [x,R]=connect(w,Est)   connection Gauss pdfs into one 
  //                        Guuss = prod(Gauss_i^wi)
  // Est(i).x  state estimate for i-th component
  // Est(i).cv covariance matrix for i-th component
  
  nc=length(w);
  sr=0;
  for i=1:nc
    sr=sr+w(i)*inv(Est(i).Rx);
  end
  R=inv(sr);
  sx=0; 
  for i=1:nc
    sx=sx+w(i)*inv(Est(i).Rx)*Est(i).xt;
  end
  x=R*sx;
endfunction
