//The research was supported by the project  GACR GA15-03564S

function u=uut(m)
// u=uut(m)    m=uu' UL-factorization of sym.poz.def. matrix
// u  upper triangular matrix
// m  symmetric poz.def. square matrix

n=max(size(m));
for i=n:-1:1
  s=0;
  for j=(i+1):n
    s=s+u(i,j)^2;
  end
  u(i,i)=sqrt(m(i,i)-s);
  for k=(i-1):-1:1
    s=0;
    for j=(i+1):n
      s=s+u(i,j)*u(k,j);
    end
    u(k,i)=(m(k,i)-s)/u(i,i);
  end
end
endfunction
